package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.GuideTipImage;


/**
*  service接口类
*/
public interface GuideTipImageService{

    List<GuideTipImage> getGuideTipImageList(GuideTipImage record);

    List<GuideTipImage> getGuideTipImageByPage(Page page, GuideTipImage record);

    GuideTipImage getGuideTipImageById(String id);

    GuideTipImage getGuideTipImage(GuideTipImage record);

    boolean createGuideTipImage(GuideTipImage record);

    boolean deleteGuideTipImage(GuideTipImage record);

    boolean updateGuideTipImage(GuideTipImage record);
}

